=== debian/changelog ===
dde-network-core (2.0.34) unstable; urgency=medium

  * fix: Save button is not enabled when proxy address changed after saving

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 11 Sep 2024 16:02:53 +0800
