=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

export QT_SELECT = qt5

DISTRO = $(shell lsb_release -is)
ifeq ($(DISTRO),Deepin)
	ENABLE_DEEPIN_NMQT=ON
else
	ENABLE_DEEPIN_NMQT=OFF
endif

VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
%:
	dh $@ --parallel
override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=$(PACK_VER) -DENABLE_DEEPIN_NMQT=${ENABLE_DEEPIN_NMQT}
