## dde-network-core 2.0.54

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,11 +15,10 @@
 
 option(ENABLE_DEEPIN_NMQT "enable nmqt patch on deepin" OFF)
 
-set(DDE-Network-Core_INCLUDE_DIRS  "${CMAKE_SOURCE_DIR}/src")
+set(DDE-Network-Core_INCLUDE_DIRS  "${CMAKE_SOURCE_DIR}/src-old")
 set(DDE-Network-Core_LIBRARIES  dde-network-core)
 
 find_package(PkgConfig REQUIRED)
-find_package(KF5NetworkManagerQt REQUIRED)
 pkg_check_modules(LibNM REQUIRED IMPORTED_TARGET libnm)
 include_directories(${LibNM_INCLUDE_DIRS})
 
@@ -29,19 +28,6 @@
 pkg_search_module(GLIB REQUIRED glib-2.0)
 include_directories(${GLIB_INCLUDE_DIRS})
 link_directories(${GLIB_LIBRARY_DIRS})
-
-set(TRY_KF5_LIBRARIES
-IMPORTED_LOCATION_DEBIAN
-IMPORTED_LOCATION_NOCONFIG
-)
-
-if (NOT KF5_QT_LIBRARIES)
-    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
-endif()
-
-find_package(Qt5 COMPONENTS Core Widgets DBus Network LinguistTools REQUIRED)
-find_package(KF5NetworkManagerQt REQUIRED)
-get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)
 
 if (QT_DEBUG)
     message(" KF5_QT_INCLUDE_DIRS : " ${KF5_QT_INCLUDE_DIRS})
@@ -56,16 +42,22 @@
 
 message(STATUS DEEPIN_NMQT_TEST ": ${DEEPIN_NMQT_TEST}")
 
+set(INTERFACE_VERSION "2.0")
+add_definitions(-DINTERFACE_VERSION="${INTERFACE_VERSION}")
+message("Interface Version: " ${INTERFACE_VERSION})
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX "/usr")
 endif()
 include(GNUInstallDirs)
 
 add_subdirectory("src")
-add_subdirectory("dcc-network-plugin")
+# add_subdirectory("src-old")
+# add_subdirectory("dcc-network-plugin")
+add_subdirectory("dcc-network")
 add_subdirectory("tests")
-add_subdirectory("example")
-#add_subdirectory("dock-network-plugin")
+# add_subdirectory("example")
+add_subdirectory("dock-network-plugin")
 add_subdirectory("dss-network-plugin")
-add_subdirectory("dss_example")
+# add_subdirectory("dss_example")
 #add_subdirectory("dock-example")
+add_subdirectory("network-service-plugin")
