=== debian/changelog ===
dde-network-core (2.0.54) unstable; urgency=medium

  * fix: Synchronize dss-network-plugin 107x interface
  * fix: DSL should not be displayed without wired network devices
  * fix: Airplane mode not monitoring Bluetooth status
  * fix: Do not enable hotspots when modifying hotspot configurations
  * fix: import QtQml.Models
  * fix: Personal hotspot status when modifying airplane mode

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 17 Apr 2025 16:22:20 +0800

dde-network-core (2.0.53) unstable; urgency=medium

  * fix: Update translation
  * feat: Synchronize to 107x

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 10 Apr 2025 16:32:20 +0800

dde-network-core (2.0.52) unstable; urgency=medium

  * fix: Remove Qt5 dependencies

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 27 Mar 2025 15:52:20 +0800

dde-network-core (2.0.51) unstable; urgency=medium

  * fix: Modify network service crash issue

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 20 Mar 2025 17:42:20 +0800

dde-network-core (2.0.50) unstable; urgency=medium

  * fix: Record the last proxy method
  * fix: Modifying network connection issue without automatic creation

 -- caixiangrong <caixiangrong@uniontech.com>  Fri, 14 Mar 2025 10:02:20 +0800

dde-network-core (2.0.49) unstable; urgency=medium

  * fix: Modify the proxy switch associated variable

 -- caixiangrong <caixiangrong@uniontech.com>  Wed, 12 Mar 2025 10:46:20 +0800

dde-network-core (2.0.48) unstable; urgency=medium

  * fix: Update translation
  * fix: Upgrade Qt version
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 6 Mar 2025 16:46:20 +0800

dde-network-core (2.0.47) unstable; urgency=medium

  * fit: Modify searchable items

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 27 Feb 2025 16:56:20 +0800

dde-network-core (2.0.46) unstable; urgency=medium

  * fix: Pop up authentication dialog box

 -- Robertkill <lvpeilong@uniontech.com>  Tue, 11 Feb 2025 13:56:20 +0800

dde-network-core (2.0.45) unstable; urgency=medium

  * 2.0.44

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 24 Jan 2025 10:55:51 +0800

dde-network-core (2.0.44) unstable; urgency=medium

  * fix: network did not automatically create

 -- caixiangrong <caixiangrong@uniontech.com>  Fri, 17 Dec 2025 09:22:47 +0800

dde-network-core (2.0.43) unstable; urgency=medium

  * fix: Modify hotspot UI style
  * fix: Update network icon

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 13 Dec 2025 09:22:47 +0800

dde-network-core (2.0.42) unstable; urgency=medium

  * fix: Password configuration should not be saved without a password
  * fix: IPv6 regular expression error
  * fix: Add deepin-service-plugin-network
  * fix: Create a temporary connection to an unconnected wireless network
  * fix: The data of the network proxy is not saved correctly

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 02 Jan 2025 13:46:12 +0800

dde-network-core (2.0.41) unstable; urgency=medium

  * fix: Change the network configuration interface to 107x style
  * fix: Modify hotspot configuration error
  * fix: Wireless enterprise network did not obtain password correctly

 -- caixiangrong <caixiangrong@uniontech.com>  Wed, 25 Dec 2024 16:22:47 +0800

dde-network-core (2.0.40) unstable; urgency=medium

  * feat: Update weight
  * fix: Add network parameter jump function
  * fix: Modify the SSID location on the wireless network configuration page
  * fix: Failed to modify VPN import issue

 -- caixiangrong <caixiangrong@uniontech.com>  Fri, 13 Dec 2024 16:22:47 +0800

dde-network-core (2.0.39) unstable; urgency=medium

  * fix: Implement entering the dde-control-center network configuration page from the dock
  * feat: Update translation
  * feat: Add menu item description
  * fix: Enterprise network cannot connect
  * fix: Modifying VPN configuration file without naming issue
  * fix: Processing password unedited and not visible
  * feat: Update weight

 -- caixiangrong <caixiangrong@uniontech.com>  Sat, 07 Dec 2024 16:02:47 +0800

dde-network-core (2.0.38) unstable; urgency=medium

  * fix: Standardize IconLabel writing

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Nov 2024 14:08:47 +0800

dde-network-core (2.0.37) unstable; urgency=medium

  * fix: Adaptation control center interface adjustment
  * fix: Handling hidden logic on web pages

 -- caixiangrong <caixiangrong@uniontech.com>  Fri, 22 Nov 2024 17:38:47 +0800

dde-network-core (2.0.36) unstable; urgency=medium

  * release 2.0.36

 -- Mike Chen <chenke@deepin.org>  Thu, 31 Oct 2024 13:38:47 +0800

dde-network-core (2.0.35) unstable; urgency=medium

  * fix: Crash after manual proxy is saved
  * feat: Implement control center network plugin

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 06 Aug 2024 15:45:40 +0800
