=== dss-network-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -69,4 +69,4 @@
 # 安装 .qm 文件
 install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PLUGIN_NAME}/translations)
 
-install(FILES 10-network-manager.pkla DESTINATION ${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d)
+install(FILES 50-dss-network-plugin.rules DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/rules.d)
