=== debian/changelog ===
dde-network-core (2.0.57.1) unstable; urgency=medium

  * fix: add transifex config
  * fix: Block application proxy menu
  * fix: Abnormal issue with modifying network icons

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 13 May 2025 16:50:40 +0800

dde-network-core (2.0.56) unstable; urgency=medium

  * fix: Add VPN configuration parameter check
  * fix: Add flags of wifi6
  * fix: Modify can't connect to new WiFi issues

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 16:43:39 +0800

dde-network-core (2.0.55) unstable; urgency=medium

  * fix: Modify icon color processing
  * fix: Modifying network configuration displays errors
  * fix: Modifying the opening and closing of VPN caused a crash issue

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 13:11:37 +0800
