## dde-network-core 2.0.60

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,9 @@
 # add_subdirectory("src-old")
 # add_subdirectory("dcc-network-plugin")
 add_subdirectory("dcc-network")
-add_subdirectory("tests")
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    add_subdirectory("tests")
+endif()
 # add_subdirectory("example")
 add_subdirectory("dock-network-plugin")
 add_subdirectory("dss-network-plugin")
