=== debian/changelog ===
dde-network-core (2.0.60) unstable; urgency=medium

  * chore: remove reginal variants for es language
  * i18n: Translate network_en_US.ts in es (#360)
  * i18n: Updates for project Deepin Desktop Environment (#359)
  * i18n: Updates for project Deepin Desktop Environment (#353)
  * chore: Modify compilation issues

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 12 Jun 2025 16:20:40 +0800

dde-network-core (2.0.59) unstable; urgency=medium

  * feat(network): add full IPv6 DNS support and fix persistence issues
  * i18n: Translate network_en_US.ts in sq (#352)
  * fix: translation not loaded if language code not fully matched
  * i18n: Updates for project Deepin Desktop Environment (#350)
  * i18n: Updates for project Deepin Desktop Environment (#348)
  * fix: source string for dcc-network resource is empty

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 12 Jun 2025 16:20:40 +0800

dde-network-core (2.0.58) unstable; urgency=medium

  * i18n: Translate
  * fix: when hide plugin,setting button sholud be hided

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 29 May 2025 15:20:40 +0800

dde-network-core (2.0.57) unstable; urgency=medium

  * fix: add transifex config
  * fix: Block application proxy menu
  * fix: Abnormal issue with modifying network icons

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 13 May 2025 16:50:40 +0800
