## dde-network-core 2.0.63

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,11 +7,6 @@
   HOMEPAGE_URL "https://github.com/linuxdeepin/dde-network-core"
   LANGUAGES CXX C
 )
-
-# 增加安全编译参数
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
-set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack -pie")
 
 option(ENABLE_DEEPIN_NMQT "enable nmqt patch on deepin" OFF)
