=== dcc-network-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 # 指定所有源码文件
 file(GLOB_RECURSE SRCS "*.h"
     "*.cpp"
-    "../src/*.h"
-    "../src/*.cpp"
+    "../src-old/*.h"
+    "../src-old/*.cpp"
     "*.qrc"
     "*.svg"
 )
