=== debian/changelog ===
dde-network-core (2.0.63) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#379)

 -- zhangkun <zhangkun2@uniontech.com>  Wed, 16 Jul 2025 10:28:05 +0800

dde-network-core (2.0.62) unstable; urgency=medium

  * fix: Compatible with installer plugin processingd3f2aed [dde-network-core] Updates for project Deepin Desktop Environment (#374)
  * fix: DSL connection deletion signal processing error
  * fix: Use the system default language when unable to retrieve users
  * chore: Update translation

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 10 Jul 2025 11:25:40 +0800

dde-network-core (2.0.61) unstable; urgency=medium

  * fix: fix safe build with debian/rules.
  * fix: SpinBox supports keyboard input
  * fix: Duplicate IP addresses do not prompt error messages
  * i18n: Updates for project Deepin Desktop Environment (#362)

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 3 Jul 2025 16:55:40 +0800
